Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.blojsom.plugin.admin.event
Class AuthorizationAddedEvent

    java.lang.Object
      org.blojsom.event.Event
          org.blojsom.plugin.admin.event.AuthorizationEvent
              org.blojsom.plugin.admin.event.AuthorizationAddedEvent

public class AuthorizationAddedEvent
extends AuthorizationEvent

AuthorizationAddedEvent

Since:
  blojsom 3.0
Version:
  $Id: AuthorizationAddedEvent.java,v 1.1 2006/03/20 21:30:49 czarneckid Exp $
Author:
  David Czarnecki

Field Summary

Fields inherited from class org.blojsom.plugin.admin.event.AuthorizationEvent
`_blog, _blogUserID, _context, _httpServletRequest, _httpServletResponse`

Fields inherited from class org.blojsom.event.Event
`_eventHandled, _source, _timestamp`

Constructor Summary
`AuthorizationAddedEvent(java.lang.Object source, java.util.Date timestamp, javax.servlet.http.HttpServletRequest httpServletRequest, javax.servlet.http.HttpServletResponse httpServletResponse, Blog blog, java.util.Map context, java.lang.Integer blogUserID)` An event related to adding an authorization for a given blog

Methods inherited from class org.blojsom.plugin.admin.event.AuthorizationEvent
`getBlog, getBlogUserID, getContext, getHttpServletRequest, getHttpServletResponse`

Methods inherited from class org.blojsom.event.Event
`getSource, getTimestamp, isEventHandled, setEventHandled`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AuthorizationAddedEvent

    public AuthorizationAddedEvent(java.lang.Object source,
                                   java.util.Date timestamp,
                                   javax.servlet.http.HttpServletRequest httpServletRequest,
                                   javax.servlet.http.HttpServletResponse httpServletResponse,
                                   Blog blog,
                                   java.util.Map context,
                                   java.lang.Integer blogUserID)

  An event related to adding an authorization for a given blog

Parameters:
  `source` - Source of the event
  `timestamp` - Event timestamp
  `httpServletRequest` - Request
  `httpServletResponse` - Response
  `blog` - `Blog`
  `context` - Context for the given operation
  `blogUserID` - Authorized user ID for the authorization event (authorized ID of user being added to the blog)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD